Masumi Logo

/wallet-low-balance

Updates a wallet low-balance monitoring rule

PATCH
/wallet/low-balance
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Low-balance rule update

Response Body

application/json

curl -X PATCH "https://loading/./../api/v1/wallet/low-balance" \  -H "Content-Type: application/json" \  -d '{    "ruleId": "low_balance_rule_id",    "thresholdAmount": "7000000",    "enabled": true  }'
{
  "status": "success",
  "data": {
    "id": "low_balance_rule_id",
    "assetUnit": "lovelace",
    "thresholdAmount": "7000000",
    "enabled": true,
    "status": "Low",
    "lastKnownAmount": "4200000",
    "lastCheckedAt": "1970-01-20T20:00:36.260Z",
    "lastAlertedAt": "1970-01-20T20:00:36.260Z",
    "walletId": "unique_cuid_v2_of_wallet",
    "walletVkey": "wallet_vkey",
    "walletAddress": "wallet_address",
    "walletType": "Purchasing",
    "paymentSourceId": "payment_source_id",
    "network": "Preprod"
  }
}
Empty
Masumi Kanji